List playbook executions with filtering
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/executions \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/executions"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"app_id": "<string>",
"async_parent_execution_id": "<string>",
"cancel_reason": "<string>",
"created_at": 123,
"created_by": "<string>",
"ctrl_id": "<string>",
"draft_execution_number": 123,
"engine_v2_compile_error": "<string>",
"engine_version": "<string>",
"error_details": {},
"execution_depth": 123,
"execution_number": 123,
"finished_at": 123,
"id": "<string>",
"last_playbook_name": "<string>",
"name": "<string>",
"net_runtime_ms": 123,
"parent_execution_id": "<string>",
"playbook": "<string>",
"playbook_id": "<string>",
"runner_cluster_version": "<string>",
"runner_group_id": "<string>",
"runner_id": "<string>",
"runner_version": "<string>",
"started_at": 123,
"state": "<string>",
"state_ui": "<string>",
"step_results": {},
"tenant_id": "<string>",
"test_session_id": "<string>",
"timeout": 123,
"top_execution_id": "<string>",
"top_execution_started_at": 123,
"trigger_type": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"version": "<string>",
"with_concurrency_limit": true,
"workspace_id": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
List playbook executions with filtering
API endpoint to list playbook executions with optional filtering parameters.
GET
/
workspace
/
{ws_id}
/
executions
List playbook executions with filtering
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the executions
Query Parameters
The RQL query object to filter executions by. For more information, see our RQL documentation
Was this page helpful?
⌘I